org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.TypedDescendantIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.DescendantIterator
      - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedDescendantIterator

- All Implemented Interfaces:
    java.lang.Cloneable, DTMAxisIterator
  Enclosing class:
    DTMDefaultBaseIterators

      public final class DTMDefaultBaseIterators.TypedDescendantIterator
      extends DTMDefaultBaseIterators.DescendantIterator

  Typed iterator that returns the descendants of a given node.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

      `END`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypedDescendantIterator(int nodeType)` Constructor TypedDescendantIterator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `next()` Get the next node in the iteration.

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.DescendantIterator

      `reset, setStartNode`

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase

      `gotoMark, setMark`

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

      `cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypedDescendantIterator

          public TypedDescendantIterator(int nodeType)

      Constructor TypedDescendantIterator
      Parameters:
        `nodeType` - Extended type ID being requested.

  - ### Method Detail

    - #### next

          public int next()

      Get the next node in the iteration.
      Specified by:
        `next` in interface `DTMAxisIterator`
      Overrides:
        `next` in class `DTMDefaultBaseIterators.DescendantIterator`
      Returns:
        The next node handle in the iteration, or END.

Copyright © 2023 Apache XML Project. All Rights Reserved.